# Snyk Container - Supported operating system distributions

{% hint style="info" %}
For information on the environments supported with other Snyk products, see:

* [Snyk Open Source - supported languages and package managers](../../snyk-open-source/snyk-open-source-supported-languages-and-package-managers/)
* [Snyk Code - Supported languages and frameworks](../../snyk-code/snyk-code-language-and-framework-support.md)
* [Snyk IaC and Cloud - Supported providers](../../../scan-infrastructure/supported-iac-and-cloud-providers/)
{% endhint %}

If you use an unsupported distribution, for example, that has reached its End-of-life (EOL) and is no longer being maintained, Snyk displays a message to tell you this is unsupported.

{% hint style="info" %}
Due to a lack of security updates, for unsupported distributions, it is possible that you do not receive notifications about vulnerabilities. However, it does not mean that your image is secure.
{% endhint %}

## Supported Linux distributions

Snyk Container supports the following operating system distributions:

### [AlmaLinux](https://almalinux.org/)

* AlmaLinux 9
* AlmaLinux 8

### [Alpine Linux](https://www.alpinelinux.org/)

* Alpine Linux 3.18
* Alpine Linux 3.17
* Alpine Linux 3.16
* Alpine Linux 3.15
* Alpine Linux 3.14
* Alpine Linux 3.13
* Alpine Linux 3.12
* Alpine Linux 3.11
* Alpine Linux 3.10
* Alpine Linux 3.9
* Alpine Linux 3.8
* Alpine Linux 3.7
* Alpine Linux 3.6
* Alpine Linux 3.5
* Alpine Linux 3.4
* Alpine Linux 3.3
* Alpine Linux 3.2

### [Amazon Linux](https://aws.amazon.com/linux/)

* Amazon Linux 2023
* Amazon Linux 2022
* Amazon Linux 2
* Amazon AMI 2018.03

### [CentOS Linux](https://www.centos.org/centos-linux/)

* CentOS Linux 8
* CentOS Linux 7
* CentOS Linux 6

### [CentOS Stream](https://www.centos.org/centos-stream/)

* CentOS Linux 9
* CentOS Linux 8

### [Chainguard](https://www.chainguard.dev/)

* Any

### [Debian](https://www.debian.org/)

* Unstable - Sid
* Debian 13 - Trixie
* Debian 12 - Bookworm
* Debian 11 - Bullseye
* Debian 10 - Buster
* Debian 9 - Stretch
* Debian 8 - Jessie

### [Oracle Linux](https://www.oracle.com/linux/)

* Oracle Linux 9
* Oracle Linux 8
* Oracle Linux 7
* Oracle Linux 6
* Oracle Linux 5

### [Red Hat Enterprise Linux (RHEL)](https://www.redhat.com/technologies/linux-platforms/enterprise-linux)

* Red Hat Enterprise Linux 9
* Red Hat Enterprise Linux 8
* Red Hat Enterprise Linux 7
* Red Hat Enterprise Linux 6

### [Rocky Linux](https://rockylinux.org/)

* Rocky Linux 9
* Rocky Linux 8

### [SUSE Linux Enterprise Server (SLES)](https://www.suse.com/products/server/)

* SUSE Linux Enterprise Server 15.2
* SUSE Linux Enterprise Server 15.1
* SUSE Linux Enterprise Server 15.0

### [Ubuntu](https://ubuntu.com/)

* Ubuntu 23.04 - Lunar Lobster
* Ubuntu 22.10 - Kinetic Kudu
* Ubuntu 22.04 - Jammy Jellyfish
* Ubuntu 21.10 - Impish Indri&#x20;
* Ubuntu 21.04 - Hirsute Hippo&#x20;
* Ubuntu 20.10 - Groovy Gorilla&#x20;
* Ubuntu 20.04 - Focal Fossa&#x20;
* Ubuntu 19.10 - Eoan Ermine&#x20;
* Ubuntu 19.04 - Disco Dingo&#x20;
* Ubuntu 18.10 - Cosmic Cuttlefish&#x20;
* Ubuntu 18.04 - Bionic Beaver&#x20;
* Ubuntu 17.10 - Artful Aardvark&#x20;
* Ubuntu 17.04 - Zesty Zapus&#x20;
* Ubuntu 16.10 - Yakkety Yak&#x20;
* Ubuntu 16.04 - Xenial Xerus&#x20;
* Ubuntu 15.10 - Wily Werewolf&#x20;
* Ubuntu 15.04 - Vivid Vervet&#x20;
* Ubuntu 14.10 - Utopic Unicorn&#x20;
* Ubuntu 13.10 - Saucy Salamander&#x20;
* Ubuntu 13.04 - Raring Ringtail&#x20;
* Ubuntu 12.10 - Quantal Quetzal

### [Wolfi](https://github.com/wolfi-dev)

* Any&#x20;

